#!/bin/sh 

#check that GSDL3HOME is set
if test -z "$GSDL3HOME" ; then
  echo "You need to 'source gs3-setup.sh' before running the install script"
 exit;
fi

cvsroot=:pserver:cvs_anon@cvs.scms.waikato.ac.nz:2402/usr/local/global-cvs/gsdl-src

# firstly, remove unwanted directories
cvs -d $cvsroot update -dRP

# now check out extra bits
cd packages
cvs -d $cvsroot co mgpp
cd $GSDL3HOME

# unpack tomcat and rename directory
cd comms/jakarta/
tar xzf tomcat-4.1.24.tar.gz 
mv jakarta-tomcat-4.1.24 tomcat
cd $GSDL3HOME

#setup sample collections
cd web/sites/localsite/collect

for f in */index; do
  cd $f
  if test -f indexfiles.tgz; then
    tar xzf indexfiles.tgz
  fi
  cd ../../
done

cd $GSDL3HOME


#edit the tomcat setclasspath script to add our classpath
cat comms/jakarta/tomcat/bin/setclasspath.sh | sed 's,CLASSPATH=,CLASSPATH=\"$CLASSPATH\":,' > setclasspath.sh
mv comms/jakarta/tomcat/bin/setclasspath.sh comms/jakarta/tomcat/bin/setclasspath.bak.sh
mv setclasspath.sh comms/jakarta/tomcat/bin/setclasspath.sh

#edit the server config file
mv comms/jakarta/tomcat/conf/server.xml comms/jakarta/tomcat/conf/server.xml.orig
cat comms/jakarta/tomcat/conf/server.xml.orig | sed "s,<\!-- Tomcat Root Context -->,<\!-- GSDL3 Service --><Context path=\"/gsdl3\" docBase=\"@gsdl3home@/web\" debug=\"1\" reloadable=\"true\"><Resources allowLinking='true'/></Context><\!-- Tomcat Root Context -->," > comms/jakarta/tomcat/conf/server.xml.in

#make everyone happy by giving the right permissions to the shell scripts
chmod a+x comms/jakarta/tomcat/bin/*.sh

